> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joinmassive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Results

> Retrieve search results or queue results for later retrieval.



## OpenAPI

````yaml get /search
openapi: 3.1.0
info:
  title: Massive
  description: The missing services for agent-first development.
  version: 1.0.0
servers:
  - url: https://render.joinmassive.com
security:
  - bearerAuth: []
paths:
  /search:
    get:
      summary: Results
      description: Retrieve search results or queue results for later retrieval.
      parameters:
        - name: terms
          description: >-
            The broad or exact word or phrase of up to 255 characters to query
            (e.g., `foo bar baz` or `"foo bar baz"`); the terms require [form or
            URL
            encoding](https://developer.mozilla.org/en-US/docs/Glossary/Percent-encoding)
            (with any space character being replaced by a `+` character or `%20`
            sequence).
          schema:
            type: string
            example: foo bar baz
          in: query
          required: true
        - name: serps
          description: The number of results pages to fetch.
          schema:
            type: integer
            minimum: 1
            maximum: 10
            default: 1
            example: 1
          in: query
        - name: size
          description: >-
            The number of results per page to fetch; page size is unset by
            default.
          schema:
            type: integer
            minimum: 0
            maximum: 100
            example: null
          in: query
        - name: offset
          description: >-
            The number of initial results to skip; results aren’t offset by
            default.
          schema:
            type: integer
            minimum: 0
            maximum: 100
            example: null
          in: query
        - name: country
          description: >-
            The [two-letter ISO code](https://www.iso.org/obp/ui/#search/code)
            of the country to search from (these codes are case insensitive); a
            random country is used by default.
          schema:
            type: string
            example: null
          in: query
        - name: subdivision
          description: >-
            The alphanumeric second part (proceeding the separator) of a
            [first-level subdivision
            code](https://www.iso.org/obp/ui/#search/code) in the (prerequisite)
            country to search from (these codes are case insensitive); a random
            subdivision is used by default.
          schema:
            type: string
            example: null
          in: query
        - name: city
          description: >-
            The [commonly spelled name](https://www.geonames.org/) of the city
            in the (prerequisite) country to search from (these names are
            temporarily case sensitive and required to include form- or
            URL-encoded spaces and punctuation marks); a random city is used by
            default.
          schema:
            type: string
            example: null
          in: query
        - name: uule
          description: >-
            The [proprietary encoded
            string](https://moz.com/blog/geolocation-the-ultimate-tip-to-emulate-local-search)
            for emulating the location to search from; if possible, the actual
            location is searched from not emulated; location emulation is unused
            by default.
          schema:
            type: string
            example: null
          in: query
        - name: language
          description: >-
            The commonly spelled name, [two-letter ISO
            code](https://www.loc.gov/standards/iso639-2/php/code_list.php), or
            [Google code](https://www.google.com/advanced_search) of the
            language to search in (these names and codes are case insensitive
            but required to include form- or URL-encoded spaces and punctuation
            marks); the language is unset by default.
          schema:
            type: string
            example: null
          in: query
        - name: display
          description: >-
            The commonly spelled name, [two-letter ISO
            code](https://www.loc.gov/standards/iso639-2/php/code_list.php), or
            [Google code](https://www.google.com/advanced_search) of the search
            interface’s display language (these names and codes are case
            insensitive but required to include form- or URL-encoded spaces and
            punctuation marks); the display language is unset by default or set
            to the language if given.
          schema:
            type: string
            example: null
          in: query
        - name: awaiting
          description: >-
            The lazy result features to wait to load; any AI overview, which can
            take significant time to generate, is awaited for a maximum of **1
            minute**; multiple features can be provided by repeating the key;
            lazy results aren’t awaited by default.
          schema:
            type: string
            enum:
              - ai
              - answers
              - ads
            example: ai
          in: query
        - name: expiration
          description: >-
            The age in days of when to consider cached results expired, where
            `0` disables caching.
          schema:
            type: integer
            minimum: 0
            maximum: 1
            default: 1
            example: 0
          in: query
        - name: mode
          description: >-
            The synchronous or asynchronous mode of results retrieval (see the
            [async resource](search/results)).
          schema:
            $ref: '#/components/schemas/Mode'
          in: query
      responses:
        '200':
          description: The search results.
          content:
            text/html:
              schema:
                type: string
        '202':
          description: A job identifier.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    description: The identifier to retrieve the queued search with.
                    type: string
                    format: uuid
                    example: 078fd246-f0f7-44a0-aabb-cadd7b12454f
                required:
                  - id
        '401':
          $ref: '#/components/responses/authenticationError'
        '402':
          $ref: '#/components/responses/creditsError'
        '403':
          $ref: '#/components/responses/captchaError'
        '422':
          $ref: '#/components/responses/paramsError'
        '500':
          $ref: '#/components/responses/unknownError'
        '503':
          $ref: '#/components/responses/unavailableError'
        '504':
          $ref: '#/components/responses/timeoutError'
components:
  schemas:
    Mode:
      summary: Retrieval mode
      type: string
      enum:
        - sync
        - async
      default: sync
      example: sync
  responses:
    authenticationError:
      description: The authorization header was missing.
      content:
        text/plain:
          schema:
            type: string
            example: Authorization header must be provided
    creditsError:
      description: No more credits are available.
      content:
        text/plain:
          schema:
            type: string
            example: >-
              Credit balance is 0; top up at
              https://dashboard.joinmassive.com/plans
    captchaError:
      description: The content was captcha’d.
      content:
        text/plain:
          schema:
            type: string
            example: Captcha was detected
    paramsError:
      description: One or more parameters were invalid.
      content:
        text/plain:
          schema:
            type: string
            example: Character counts must be no more than 255
    unknownError:
      description: An unknown error occurred.
      content:
        text/plain:
          schema:
            type: string
            example: Unknown error occurred
    unavailableError:
      description: The service is unavailable.
      content:
        text/plain:
          schema:
            type: string
            example: Service is autoscaling; please retry in 180 seconds
    timeoutError:
      description: The operation timed out.
      content:
        text/plain:
          schema:
            type: string
            example: Request(s) timed out
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````